org.apache.cassandra.transport

## Interface OptionCodec.Codecable<T extends java.lang.Enum<T>>

All Known Implementing Classes:
  DataType

Enclosing class:
  OptionCodec<T extends java.lang.Enum<T> & OptionCodec.Codecable<T>>

    public static interface OptionCodec.Codecable<T extends java.lang.Enum<T>>

### Method Summary

Methods
`int` `getId()`
`java.lang.Object` `readValue(org.jboss.netty.buffer.ChannelBuffer cb)`
`int` `serializedValueSize(java.lang.Object obj)`
`void` `writeValue(java.lang.Object value, org.jboss.netty.buffer.ChannelBuffer cb)`

### Method Detail

#### getId

    int getId()

#### readValue

    java.lang.Object readValue(org.jboss.netty.buffer.ChannelBuffer cb)

#### writeValue

    void writeValue(java.lang.Object value,
                  org.jboss.netty.buffer.ChannelBuffer cb)

#### serializedValueSize

    int serializedValueSize(java.lang.Object obj)